> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Tools

> List all available tools.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/tools/
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/tools/:
    get:
      tags:
        - Tools
      summary: List Available Tools
      description: List all available tools.
      operationId: list_available_tools_api_tools__get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: string
                title: Response List Available Tools Api Tools  Get
                type: array
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.